# Uses of Interface
org.eclipse.birt.chart.model.attribute.Text

Packages that use Text
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of Text in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Text
Modifier and Type
Method
Description
`Text`
GObjectFactory.`copyOf(Text src)`
`Text`
IGObjectFactory.`copyOf(Text src)`
`Text`
GObjectFactory.`createText(String sValue)`
`Text`
IGObjectFactory.`createText(String sValue)`
Methods in org.eclipse.birt.chart.computation with parameters of type Text
Modifier and Type
Method
Description
`Text`
GObjectFactory.`copyOf(Text src)`
`Text`
IGObjectFactory.`copyOf(Text src)`

## Uses of Text in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Text
Modifier and Type
Method
Description
`Text`
Chart.`getDescription()`
Returns the value of the 'Description' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type Text
Modifier and Type
Method
Description
`void`
Chart.`setDescription(Text value)`
Sets the value of the '`Description`' containment reference.

## Uses of Text in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Text
Modifier and Type
Method
Description
`Text`
Text.`copyInstance()`
`Text`
AttributeFactory.`createText()`
Returns a new object of class 'Text'.

## Uses of Text in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Text
Modifier and Type
Class
Description
`class`
`TextImpl`
An implementation of the model object ' Text'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Text
Modifier and Type
Method
Description
`Text`
TextImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Text`
TextImpl.`create(String sValue)`
A convenience method provided to create a Text instance
`static final Text`
TextImpl.`createDefault(String sValue)`
A convenience method provided to create a Text instance
`Text`
AttributeFactoryImpl.`createText()`

## Uses of Text in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Text
Modifier and Type
Method
Description
`Text`
Label.`getCaption()`
Returns the value of the 'Caption' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type Text
Modifier and Type
Method
Description
`void`
Label.`setCaption(Text value)`
Sets the value of the '`Caption`' containment reference.

## Uses of Text in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Text
Modifier and Type
Method
Description
`Text`
LabelImpl.`getCaption()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Text
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LabelImpl.`basicSetCaption(Text newCaption, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
LabelImpl.`setCaption(Text newCaption)`

## Uses of Text in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Text
Modifier and Type
Method
Description
`Text`
ChartImpl.`getDescription()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Text
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartImpl.`basicSetDescription(Text newDescription, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartImpl.`setDescription(Text newDescription)`

## Uses of Text in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Text
Modifier and Type
Method
Description
`Text`
Legend.`getText()`
Returns the value of the 'Text' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Text
Modifier and Type
Method
Description
`void`
Legend.`setText(Text value)`
Sets the value of the '`Text`' containment reference.

## Uses of Text in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Text
Modifier and Type
Method
Description
`Text`
LegendImpl.`getText()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Text
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LegendImpl.`basicSetText(Text newText, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
LegendImpl.`setText(Text newText)`